Bug 83418 - EU IV is incorrectly rendered after git1409011930.d571f2
Summary: EU IV is incorrectly rendered after git1409011930.d571f2
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 75112
  Show dependency treegraph
 
Reported: 2014-09-02 21:26 UTC by José Suárez
Modified: 2014-09-04 13:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot showing the incorrect rendering (716.88 KB, image/jpeg)
2014-09-02 21:26 UTC, José Suárez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José Suárez 2014-09-02 21:26:40 UTC
Created attachment 105643 [details]
Screenshot showing the incorrect rendering

The terreain map is incorrectly rendered in Europa Universalis IV with mesa git after d571f2 (1 September) on my Radeon HD 7870 (radeonsi).

I am only attaching a screenshot since there is no relevant information on dmesg and Xorg logs.

At first I thought the bug could be due to the recent glsl commits but after trying different versions (I cannot easily bisect) I believe it is more r600/radeonsi related.

Please, let me know if anything else is needed.

The system specs are as follows:

Información sobre el procesador:
    Fabricante:  AuthenticAMD
    Familia de la CPU: 0x15
    Modelo de la CPU: 0x1
    Stepping de la CPU: 0x2
    Tipo de CPU: 0x0
    Velocidad: 3700 MHz
    Procesadores lógicos 8
    Procesadores físicos 8
    HyperThreading:  No compatible
    FCMOV:  Compatible
    SSE2:  Compatible
    SSE3:  Compatible
    SSSE3:  Compatible
    SSE4a:  Compatible
    SSE41:  Compatible
    SSE42:  Compatible
    
Información sobre la red:
    Velocidad de la red:  
    
Versión del sistema operativo:
    Ubuntu 14.04.1 LTS (64 bits)
    Nombre de kernel: Linux
    Versión de kernel: 3.17.0-031700rc3-generic
    Editor de X Server: The X.Org Foundation
    Versión de X Server: 11501000
    Gestor X Window: KWin
    Versión del runtime de Steam: steam-runtime-release_2014-08-20
    
Tarjeta de vídeo:
    Controlador:  X.Org Gallium 0.4 on AMD PITCAIRN

    Versión de controlador: 3.0 Mesa 10.4.0-devel (git-d571f2b 2014-09-01 trusty-oibaf-ppa)
    Versión de OpenGL: 3.0
    Densidad de color del escritorio: 24 bits por píxel
    Frecuencia de actualización del monitor: 60 Hz
    Identificador del fabricante: 0x1002
    Identificador del dispositivo: 0x6818
    Número de monitores: 1
    Número de tarjetas de vídeo lógicas: 1
    Resolución de pantalla principal: 1920 x 1080
    Resolución de escritorio: 1920 x 1080
    Tamaño de pantalla principal: 18,78" x 10,55"  (21,54" diag)
                                            47,7cm x 26,8cm  (54,7cm diag)
    No se ha detectado la memoria VRAM principal
    
Tarjeta de sonido:
    Dispositivo de sonido: Realtek ALC889
    
Memoria:
    RAM:  15865 Mb
    
Varios:
    Idioma de la IU:  Español
    IDIOMA: es_ES.UTF-8
    Micrófono:  Not set
    Espacio total en disco disponible: 469324 MB
    Bloque libre más grande en el disco: 15703 MB
    
Software Instalado:
    
Informes de fallos recientes:
Comment 1 Michel Dänzer 2014-09-03 03:19:40 UTC
What are the last known good and first known bad Git commits?
Comment 2 José Suárez 2014-09-03 08:35:27 UTC
The last good known version is d571f2, and the first known bad version is 9f2050. 

I will try to narrow that a bit but, aAs stated, it is a bit difficult for me to bisect. I am using oibaf's ppa which I can recompile myself in a chroot environment. However, since I am not used to working with git I presume it will be a bit tricky for me to obtain the diffs to be applied.

I know this is noob, but is there a way to obtain a diff between version from http://cgit.freedesktop.org/mesa/mesa without having to clone the git repo? That would surely help me identify the offending commit...
Comment 3 smoki 2014-09-03 23:19:13 UTC
 Sreenshot reminds me on Unigine Sanctuary shadow artifacts somehow, so this looks like hyperz issue to me... I guess yes, but did you have it enabled?
Comment 4 smoki 2014-09-03 23:22:07 UTC
 Maybe right the same commit that fixes Sanctuary broke Europa? 

 http://cgit.freedesktop.org/mesa/mesa/commit/?id=91050ff2154417d7f3a16b582f28c8bbdcea6cfb
Comment 5 smoki 2014-09-04 07:11:19 UTC
 Actually it happens later i bisect this to:

 r600g,radeonsi: initialize HTILE to fully-expanded state

 http://cgit.freedesktop.org/mesa/mesa/commit/?id=f05fe294e7e8dfb08be172f426252192c0ba17ab
Comment 6 José Suárez 2014-09-04 08:33:24 UTC
I had started to try and bisect. Although I could successfully compile mesa git I was having problems loading the hand compiled mesa drivers rather than the system ones (not sure why the apps were not using those hand compiled libs and drivers...). Thank you, smoki, for helping me narrowing the offending commit.

I had tried EU IV both with hyperz on and off and the problem was there in both cases so I think your second guess might be correct. What I can easily do is revert that "r600g,radeonsi: initialize HTILE to fully-expanded state" commit from the ppa sources I usually use to build mesa and get back to you. I'll see if I can do that during lunch time.
Comment 7 José Suárez 2014-09-04 12:57:22 UTC
As stated by smoki, reverting that commit indeed fixes the problem.
Comment 8 Marek Olšák 2014-09-04 13:53:39 UTC
I reverted the problematic commit as 8bd67231797e5d79d72a4e91b37ea81da30c6df3. Closing.


bug/show.html.tmpl processed on Mar 25, 2017 at 07:45:50.
(provided by the Example extension).